# Create a gift target

Section: Your data › Gift planner

```
POST https://ba.joexyz.online/api/v1/me/gift-inventories/:id/targets
```

Adds a student to plan gifts for. A student can be a target only once per inventory (`409` otherwise).

**Parameters**

- `id` (path): The gift inventory id.

## Authentication

Bearer Token — `Authorization: Bearer <token>` (inherited from folder "Your data")

## Path parameters

| Name | Value |
| --- | --- |
| `id` |  |

## Headers

| Name | Value |
| --- | --- |
| `Content-Type` | `application/json` |

## Body

Content type: `application/json`

```json
{
  "studentId": "kei",
  "currentExp": 0,
  "targetExp": 29175,
  "useGiftBoxes": true,
  "giftBoxCount": 309,
  "gifts": [
    {
      "id": 5004,
      "count": 7,
      "enabled": true
    },
    {
      "id": 5005,
      "count": 36,
      "enabled": true
    },
    {
      "id": 5006,
      "count": 30,
      "enabled": true
    },
    {
      "id": 5016,
      "count": 55,
      "enabled": true
    },
    {
      "id": 5997,
      "count": 20,
      "enabled": true
    }
  ]
}
```

## Example responses

### 201 Created

```json
{
  "data": {
    "id": "k972n7c56aqv7mp1n09hnkam118622jj",
    "createdAt": "2026-05-04T20:28:31.806Z",
    "studentId": "kei",
    "currentExp": 0,
    "giftBoxCount": 309,
    "giftInventoryId": "k571k0c4p3bmntpnng4p8kcaan7vss8k",
    "gifts": [
      {
        "id": 5004,
        "count": 7,
        "enabled": true
      },
      {
        "id": 5005,
        "count": 36,
        "enabled": true
      },
      {
        "id": 5006,
        "count": 30,
        "enabled": true
      },
      {
        "id": 5016,
        "count": 55,
        "enabled": true
      },
      {
        "id": 5997,
        "count": 20,
        "enabled": true
      }
    ],
    "targetExp": 29175,
    "useGiftBoxes": true
  }
}
```

### 409 Conflict

```json
{
  "error": {
    "code": "CONFLICT",
    "message": "Gift Target for this student already exists"
  }
}
```

## Examples

### cURL

```bash
curl -X POST https://ba.joexyz.online/api/v1/me/gift-inventories/:id/targets \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer {{api_key}}' \
  --data-raw '{
  "studentId": "kei",
  "currentExp": 0,
  "targetExp": 29175,
  "useGiftBoxes": true,
  "giftBoxCount": 309,
  "gifts": [
    {
      "id": 5004,
      "count": 7,
      "enabled": true
    },
    {
      "id": 5005,
      "count": 36,
      "enabled": true
    },
    {
      "id": 5006,
      "count": 30,
      "enabled": true
    },
    {
      "id": 5016,
      "count": 55,
      "enabled": true
    },
    {
      "id": 5997,
      "count": 20,
      "enabled": true
    }
  ]
}'
```

### JavaScript

```javascript
const response = await fetch("https://ba.joexyz.online/api/v1/me/gift-inventories/:id/targets", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "Bearer {{api_key}}",
  },
  body: JSON.stringify({
    "studentId": "kei",
    "currentExp": 0,
    "targetExp": 29175,
    "useGiftBoxes": true,
    "giftBoxCount": 309,
    "gifts": [
      {
        "id": 5004,
        "count": 7,
        "enabled": true
      },
      {
        "id": 5005,
        "count": 36,
        "enabled": true
      },
      {
        "id": 5006,
        "count": 30,
        "enabled": true
      },
      {
        "id": 5016,
        "count": 55,
        "enabled": true
      },
      {
        "id": 5997,
        "count": 20,
        "enabled": true
      }
    ]
  }),
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://ba.joexyz.online/api/v1/me/gift-inventories/:id/targets"
headers = {
    "Authorization": "Bearer {{api_key}}",
}
payload = {
    "studentId": "kei",
    "currentExp": 0,
    "targetExp": 29175,
    "useGiftBoxes": True,
    "giftBoxCount": 309,
    "gifts": [
        {
            "id": 5004,
            "count": 7,
            "enabled": True,
        },
        {
            "id": 5005,
            "count": 36,
            "enabled": True,
        },
        {
            "id": 5006,
            "count": 30,
            "enabled": True,
        },
        {
            "id": 5016,
            "count": 55,
            "enabled": True,
        },
        {
            "id": 5997,
            "count": 20,
            "enabled": True,
        },
    ],
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{
  "studentId": "kei",
  "currentExp": 0,
  "targetExp": 29175,
  "useGiftBoxes": true,
  "giftBoxCount": 309,
  "gifts": [
    {
      "id": 5004,
      "count": 7,
      "enabled": true
    },
    {
      "id": 5005,
      "count": 36,
      "enabled": true
    },
    {
      "id": 5006,
      "count": 30,
      "enabled": true
    },
    {
      "id": 5016,
      "count": 55,
      "enabled": true
    },
    {
      "id": 5997,
      "count": 20,
      "enabled": true
    }
  ]
}`)

	req, err := http.NewRequest("POST", "https://ba.joexyz.online/api/v1/me/gift-inventories/:id/targets", body)
	if err != nil {
		panic(err)
	}
	req.Header.Set("Content-Type", "application/json")
	req.Header.Set("Authorization", "Bearer {{api_key}}")

	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()

	data, _ := io.ReadAll(res.Body)
	fmt.Println(string(data))
}
```
